<template>
  <q-page class="flex flex-center">
    <q-card style="min-width:300px">
      <q-card-title class="bg-primary text-white">User Login</q-card-title>
      <q-card-separator />
      <q-card-main>
        <q-input class="q-my-lg" v-model="username" float-label="Username" placeholder="Enter Username" />
        <q-input class="q-my-lg" type="password" v-model="password" float-label="Password" placeholder="Enter Password" />
        <br>
        <q-btn style="width:100%" color="secondary" @click="login">Login</q-btn>
        <p v-show="error" class="text-red">{{ error }}</p>
      </q-card-main>
    </q-card>
  </q-page>
</template>

<style>
</style>

<script>
import * as api from '../js/api'

export default {
  name: 'PageLogin',
  data () {
    return {
      username: '',
      password: '',
      error: ''
    }
  },
  methods: {
    async login () {
      let user = await api.login(this.username, this.password).catch((err) => {
        console.error('error on login', err)
        this.error = 'invalid credentials'
      })

      if (user) {
        // console.log(user)
        // console.log(user.username)
        this.$q.cookies.set('user', user)
        console.log(this.$q.cookies.all())
        console.log('logged in to: ' + this.$q.cookies.get('user').username)
        this.$router.push('/app/welcome')
      }
    }
  }
}
</script>
